<style>
    * {
        box-sizing: border-box;
    }

    body {
        font: 16px Arial;
    }

    /*the container must be positioned relative:*/
    .autocomplete {
        position: relative;
        display: inline-block;
    }

    input {
        border: 1px solid transparent;
        background-color: #f1f1f1;
        padding: 10px;
        font-size: 16px;
    }

        input[type=text] {
            background-color: #f1f1f1;
            width: 100%;
        }

        input[type=submit] {
            background-color: DodgerBlue;
            color: #fff;
            cursor: pointer;
        }

    .autocomplete-items {
        position: absolute;
        border: 1px solid #d4d4d4;
        border-bottom: none;
        border-top: none;
        z-index: 99;
        /*position the autocomplete items to be the same width as the container:*/
        top: 100%;
        left: 0;
        right: 0;
    }

        .autocomplete-items div {
            padding: 10px;
            cursor: pointer;
            background-color: #fff;
            border-bottom: 1px solid #d4d4d4;
        }

            /*when hovering an item:*/
            .autocomplete-items div:hover {
                background-color: #e9e9e9;
            }

    /*when navigating through the items using the arrow keys:*/
    .autocomplete-active {
        background-color: DodgerBlue !important;
        color: #ffffff;
    }
</style>


<div class="autocomplete" style="width:300px;">
    <input class="validatehelper autocomplete_hoten" validate-type="HOTEN" id="myInput" type="text" name="myInput" placeholder="họ và tên">
</div>
<!-- <input class="validatehelper" validate_type="CMND" placeholder="cmnd" id="CMND">
<input class="validatehelper" validate_type="CCCD" placeholder="CCCD" id="CCCD">

<input class="validatehelper" validate_type="EMAIL" placeholder="Email" id="EMAIL">

<input class="validatehelper" validate_type="SODIENTHOAI" placeholder="sdt" id="MOBILE">

<input class="validatehelper" validate_type="NGAYSINH" placeholder="ngaysinh" id="ngaysinh">
<input class="validatehelper" validate_type="NGAYCAP_CMND" placeholder="ngày cấp" id="NGAYCAP_CMND"> -->


<!--Make sure the form has the autocomplete function switched off:-->






<br />
<br />
<!-- <button onclick="Initialize()">Initialize</button> -->

<button onclick="Validate()">Kiểm tra</button>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" integrity="sha512-894YE6QWD5I59HgZOGReFYm4dnWc1Qt5NtvYSaNcOP+u1T9qYdvdihz0PPSiiqn/+/3e7Jo4EaG7TubfWGUrMQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="https://momentjs.com/downloads/moment.js"></script>
<!--<script src="train.js"></script>-->

<script src="./ValidateHelper.js"></script>
<!--<script>
    // var validate_type  = listInput[0].attributes['validate_type'].value
    var listInput = [];
    const TYPE = {
        CMND: "CMND",
        HOCHIEU: "HOCHIEU",
        CCCD: "CCCD",
        NGAYCAP_CMND: "NGAYCAP_CMND",
        NGAYSINH: "NGAYSINH",
        SODIENTHOAI: "SODIENTHOAI",
        HOTEN: "HOTEN",
        EMAIL: "EMAIL",
    }

    function Initialize() {
        listInput = [];
        var listRawItem = $(".validatehelper");
        if (listRawItem.length > 0) {
            for (let i = 0; i < listRawItem.length; i++) {
                var item = { id: "", value: "", type: "", isValidate: "", mess: "" }

                item.type = listRawItem[i].attributes['validate_type'].value
                item.id = listRawItem[i].id;
                item.value = listRawItem[i].value;
                listInput.push(item);
            }
        }
    }
    function Validate() {
        Initialize()
        for (let i = 0; i < listInput.length; i++) {
            var isValidate = false;
            if (listInput[i].type == TYPE.CMND) {
                isValidate = CMNDValidate(listInput[i])

            } else if (listInput[i].type == TYPE.EMAIL) {
                isValidate = EmailValidate(listInput[i])

            }
            else if (listInput[i].type == TYPE.SODIENTHOAI) {
                isValidate = MobileValidate(listInput[i])

            }
            else if (listInput[i].type == TYPE.NGAYSINH) {
                isValidate = NgaySinhValidate(listInput[i])

            }
            else if (listInput[i].type == TYPE.NGAYCAP_CMND) {
                isValidate = NgayCapCMNDValidate(listInput[i])

            }
            else if (listInput[i].type == TYPE.HOTEN) {
                isValidate = HotenValidate(listInput[i])

            } else if (listInput[i].type == TYPE.CCCD) {
                isValidate = CCCDValidate(listInput[i])

            }

            if (isValidate) {
                listInput[i].isValidate = true;
                $("#" + listInput[i].id).attr('style', 'border:green solid 1px;');
            } else {
                listInput[i].isValidate = false;
                listInput[i].mess = "";
                $("#" + listInput[i].id).attr('style', 'border:red solid 1px;');
            }
        }
    }
    var mess = "";
    function CMNDValidate(item) {
        var pattern = /[0-9]{9}/;
        return pattern.test(item.value);

    }
    function EmailValidate(item) {
        var pattern = /^(\w+.@\w+.\w{2,4})$/;
        return pattern.test(item.value);
    }
    function MobileValidate(item) {
        var pattern = /^(0\d{9,10})$/;
        return pattern.test(item.value);
    }
    function NgaySinhValidate(item) {
        var pattern = /^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$/;
        if (pattern.test(item.value)) {
            var obj = listInput.find(o => o.type === TYPE.NGAYCAP_CMND);
            if (obj != null) {
                var ngaysinh = moment(item.value, 'dd/mm/yyyy');
                var ngaycapcmnd = moment(obj.value, 'dd/mm/yyyy');
                var yearCheck = ngaycapcmnd.diff(ngaysinh, 'year');
                if (yearCheck >= 14) {
                    return true;
                }
                else {
                    mess = "Chưa đủ tuổi cấp CMND";
                    return false;
                }
            } else {
                mess = "chưa nhập ngày cấp cmnd"
                return false;
            }
        } else {
            mess = "Sai định dạng!"
            return false
        }


    }
    function NgayCapCMNDValidate(item) {
        var pattern = /^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$/;
        if (pattern.test(item.value)) {
            var obj = listInput.find(o => o.type === TYPE.NGAYSINH);
            if (obj != null) {
                var ngaysinh = moment(obj.value, 'dd/mm/yyyy');
                var ngaycapcmnd = moment(item.value, 'dd/mm/yyyy');
                var yearCheck = ngaycapcmnd.diff(ngaysinh, 'year');
                if (yearCheck >= 14) {
                    return true;
                }
                else {
                    mess = "Chưa đủ tuổi cấp CMND";
                    return false;
                }
            } else {
                mess = "chưa nhập ngày cấp cmnd"
                return false;
            }
        } else {
            mess = "Sai định dạng!"
            return false
        }

    }

    function HotenValidate(item) {

        item.value = item.value.toLowerCase();
        var pattern = /^([a-vxyỳọáầảấờễàạằệếýộậốũứĩõúữịỗìềểẩớặòùồợãụủíỹắẫựỉỏừỷởóéửỵẳẹèẽổẵẻỡơôưăêâđ]+)((\s{1}[a-vxyỳọáầảấờễàạằệếýộậốũứĩõúữịỗìềểẩớặòùồợãụủíỹắẫựỉỏừỷởóéửỵẳẹèẽổẵẻỡơôưăêâđ]+){1,})$/
        /*    if (pattern.test(item.value)) {*/
        if (true) {
            var arr = item.value.split(' ');
            //console.log(arr)
            for (let i = 0; i < arr.length; i++) {
                if (!SpellingCheck(arr[i])) {
                    return false;
                }
            }
            return true;
        }
    }

    function CCCDValidate(item) {

        if (item.value.length == 12) {
            return true;

        } else {
            return false;
        }

    }
</script>-->
<script>


    urlFileValidate = "http://localhost:5500/"
    $(document).ready(function () {
      
        autocomplete(document.getElementById("myInput"), tenthongdung);
    });

</script>